Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.therlink.domain.requests
Enum TherapeuticLinkStatus

    java.lang.Object
      java.lang.Enum<TherapeuticLinkStatus>
          be.ehealth.businessconnector.therlink.domain.requests.TherapeuticLinkStatus

All Implemented Interfaces:
  Serializable, Comparable<TherapeuticLinkStatus>

    public enum TherapeuticLinkStatus

extends Enum<TherapeuticLinkStatus>

TherapeuticLinkStatus.

Enum Constant Summary
`ACTIVE` Therapeutic link status
`ALL`
`INACTIVE`

Method Summary
`static TherapeuticLinkStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TherapeuticLinkStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTIVE

    public static final TherapeuticLinkStatus ACTIVE

  Therapeutic link status

### INACTIVE

    public static final TherapeuticLinkStatus INACTIVE

### ALL

    public static final TherapeuticLinkStatus ALL

Method Detail

### values

    public static TherapeuticLinkStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TherapeuticLinkStatus c : TherapeuticLinkStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TherapeuticLinkStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.